#pragma once

class PerfMonitor : public a8::Singleton<PerfMonitor>
{
 private:
    PerfMonitor() {};
    friend class a8::Singleton<PerfMonitor>;

 public:
    int max_run_delay_time = 0;
    int max_timer_idle = 0;
    int max_dispatchmsg_time = 0;
    long long out_data_size = 0;
    long long in_data_size = 0;
    long long read_count = 0;
    long long alloc_node_total_times = 0;
    long long alloc_node_ok_times = 0;
    long long alloc_node_fail_times = 0;

    void Init();
    void UnInit();
};
