#pragma once

#include <a8/timer_attacher.h>

struct timer_list;
class TextMgr : public a8::Singleton<TextMgr>
{
 private:
    TextMgr() {};
    friend class a8::Singleton<TextMgr>;

 public:
    void Init();
    void UnInit();

    void __DirtyWordCheck(f8::JsonHttpRequest* request);
    void __DirtyWordReplace(f8::JsonHttpRequest* request);
    void __RandName(f8::JsonHttpRequest* request);
    void __IsValidName(f8::JsonHttpRequest* request);

 private:
    std::string Sign(const std::string& name);

 private:
    a8::TimerAttacher timer_attacher_;
};
